Bug 757997 - Review Request: pam_mapi - PAM module for authentication via MAPI against a Zarafa server
Summary: Review Request: pam_mapi - PAM module for authentication via MAPI against a Z...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: kushaldas@gmail.com
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-29 07:31 UTC by Robert Scheck
Modified: 2011-12-17 19:27 UTC (History)
3 users (show)

Fixed In Version: pam_mapi-0.1.0-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-12 21:52:48 UTC
mail: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2011-11-29 07:31:58 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/pam_mapi.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/pam_mapi-0.1.0-1.src.rpm
Description:
pam_mapi is a PAM module (Pluggable Authentication Modules) for authentication
against a Zarafa server. Applications like Zarafa WebAccess, Zarafa WebApp or
Microsoft Outlook which directly connect to the Zarafa Collaboration Platform
use MAPI in SOAP to do so. If Zarafa is configured to use the DB authentication
plugin, all user information are stored in a MySQL database.

Once IMAP/POP3 is used via the Zarafa Gateway, SMTP gets involved for outbound
e-mails, too. Usually this requires SMTP authentication (to avoid open relays),
but the user information in the MySQL database is unfortunately not accessible
for established SASL daemons. The pam_mapi module is filling this gap by adding
MAPI-based authentication to PAM and thus to SMTP daemons via SASL.

Comment 1 kushaldas@gmail.com 2011-11-30 08:20:16 UTC
Koji scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=3552360

I guess you will need pam-devel as BR.

Comment 2 kushaldas@gmail.com 2011-11-30 09:23:03 UTC
Ok, that seems to be the boost issue on rawhide. 
So,

[ DONE ] MUST: rpmlint must be run on the source rpm and all binary rpms the 
         build produces. The output should be posted in the review.
$  rpmlint RPMS/x86_64/pam_mapi-0.1.0-1.fc16.x86_64.rpm 
pam_mapi.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
pam_mapi.x86_64: W: spelling-error %description -l en_US mapi -> map, maps, magi
pam_mapi.x86_64: W: spelling-error %description -l en_US conf -> con, cone, cons
pam_mapi.x86_64: W: spelling-error %description -l en_US smtp -> smut
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
$
[  OK  ] MUST: The package must be named according to the Package Naming 
         Guidelines.
[  OK  ] MUST: The spec file name must match the base package %{name}, in the 
         format %{name}.spec unless your package has an exemption.
[  OK  ] MUST: The package must meet the Packaging Guidelines.
[  OK  ] MUST: The package must be licensed with a Fedora approved license and 
         meet the Licensing Guidelines.
[  OK  ] MUST: The License field in the package spec file must match the actual 
         license.
[  OK ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of the 
         license(s) for the package must be included in %doc.
         -> Already pinged upstream in comment #1 for future releases
[  OK  ] MUST: The spec file must be written in American English.
[  OK  ] MUST: The spec file for the package MUST be legible.
[  OK  ] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
         -> dcc2c675a25e8884da6aec7cd0e1fb30  pam_mapi-0.1.0.tar.gz
         -> dcc2c675a25e8884da6aec7cd0e1fb30  pam_mapi-0.1.0.tar.gz.1
[  OK  ] MUST: The package MUST successfully compile and build into binary rpms 
         on at least one primary architecture.
[  N/A ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the spec 
         in ExcludeArch. Each architecture listed in ExcludeArch MUST have a 
         bug filed in bugzilla, describing the reason that the package does not 
         compile/build/work on that architecture. The bug number MUST be placed 
         in a comment, next to the corresponding ExcludeArch line.
[  OK  ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[  N/A ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden.
[  N/A ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[  OK  ] MUST: Packages must NOT bundle copies of system libraries.
[  N/A ] MUST: If the package is designed to be relocatable, the packager
         must state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without
         this, use of Prefix: /usr is considered a blocker.
[  N/A  ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[  OK  ] MUST: A Fedora package must not list a file more than once in the spec 
         file's %files listings. (Notable exception: license texts in specific 
         situations).
[  OK  ] MUST: Permissions on files must be set properly. Executables should be 
         set with executable permissions, for example.
[  OK  ] MUST: Each package must consistently use macros.
[  OK  ] MUST: The package must contain code, or permissable content.
[  N/A ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[  OK  ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[  N/A ] MUST: Header files must be in a -devel package.
[  N/A ] MUST: Static libraries must be in a -static package.
[  N/A ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[  N/A ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name}%
         {?_isa} = %{version}-%{release}
[  N/A ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[  N/A ] MUST: Packages containing GUI applications must include a 
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put
         a comment in the spec file with your explanation.
[  OK  ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to be 
         installed should own the files or directories that other packages may 
         rely upon. This means, for example, that no package in Fedora should 
         ever share ownership with any of the files or directories owned by the 
         filesystem or man package. If you feel that you have a good reason to 
         own a file or directory that another package owns, then please present 
         that at package review time.
[  OK  ] MUST: All filenames in rpm packages must be valid UTF-8.


[ DONE ] SHOULD: If the source package does not include license text(s) as a 
         separate file from upstream, the packager SHOULD query upstream to 
         include it.
[  N/A ] SHOULD: The description and summary sections in the package spec file 
         should contain translations for supported Non-English languages, if 
         available.
[  OK  ] SHOULD: The reviewer should test that the package builds in mock.
[  OK  ] SHOULD: The package should compile and build into binary rpms on all 
         supported architectures.
[ SKIP ] SHOULD: The reviewer should test that the package functions as 
         described. A package should not segfault instead of running, for 
         example.
[  N/A ] SHOULD: If scriptlets are used, those scriptlets must be sane. This is 
         vague, and left up to the reviewers judgement to determine sanity.
[  N/A ] SHOULD: Usually, subpackages other than devel should require the base 
         package using a fully versioned dependency.
[  N/A ] SHOULD: The placement of pkgconfig(.pc) files depends on their 
         usecase, and this is usually for development purposes, so should be 
         placed in a -devel pkg. A reasonable exception is that the main pkg 
         itself is a devel tool not installed in a user runtime, e.g. gcc or 
         gdb.
[  N/A ] SHOULD: If the package has file dependencies outside of /etc, /bin, 
         /sbin, /usr/bin, or /usr/sbin consider requiring the package which 
         provides the file instead of the file itself.
[  OK ] SHOULD: your package should contain man pages for binaries/scripts. If 
         it doesn't, work with upstream to add them where they make sense.

Everything seems normal, APPROVED.

Comment 3 Robert Scheck 2011-11-30 12:18:08 UTC
Kushal, thank you very much for your review! I'm already working with upstream
to get the boost issue solved on one or the other way.


New Package SCM Request
=======================
Package Name: pam_mapi
Short Description: PAM module for authentication via MAPI against a Zarafa server
Owners: robert
Branches: el4 el5 el6 f15 f16
InitialCC:

Comment 4 Gwyn Ciesla 2011-11-30 13:27:54 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-11-30 22:58:50 UTC
pam_mapi-0.1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pam_mapi-0.1.0-1.fc15

Comment 6 Fedora Update System 2011-11-30 22:58:53 UTC
pam_mapi-0.1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pam_mapi-0.1.0-1.fc16

Comment 7 Fedora Update System 2011-11-30 22:58:54 UTC
pam_mapi-0.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pam_mapi-0.1.0-1.el6

Comment 8 Fedora Update System 2011-11-30 22:58:59 UTC
pam_mapi-0.1.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pam_mapi-0.1.0-1.el5

Comment 9 Fedora Update System 2011-11-30 22:59:05 UTC
pam_mapi-0.1.0-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/pam_mapi-0.1.0-1.el4

Comment 10 Fedora Update System 2011-12-02 00:02:03 UTC
pam_mapi-0.1.0-1.el4 has been pushed to the Fedora EPEL 4 testing repository.

Comment 11 Fedora Update System 2011-12-12 21:52:48 UTC
pam_mapi-0.1.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-12-12 21:59:30 UTC
pam_mapi-0.1.0-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 13 Fedora Update System 2011-12-17 19:26:38 UTC
pam_mapi-0.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2011-12-17 19:26:46 UTC
pam_mapi-0.1.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 15 Fedora Update System 2011-12-17 19:27:11 UTC
pam_mapi-0.1.0-1.el4 has been pushed to the Fedora EPEL 4 stable repository.


Note You need to log in before you can comment on or make changes to this bug.